//********************************************************
//  Draw a regular polygon with n sides
//  Demonstrates the use of polygons and polylines
//********************************************************
import javafx.application.Application;
import javafx.scene.Group;
import javafx.scene.Scene;
import javafx.scene.paint.Color;
import javafx.scene.shape.*; 
import javafx.stage.Stage;
import java.util.Scanner;

public class RegularPolygon extends Application
{
    static int n, r;
    private static double[] points;
    
    public void start(Stage primaryStage)
    {
      Polygon poly = new Polygon(points);
//    Polyline poly = new Polyline(points);
//    Polygon poly = new Polygon();
//    for (int i = 0; i < points.length-1; i=i+2) 
//        poly.getPoints().addAll(points[i],points[i+1]);
 
        poly.setFill(Color.GREEN); // for Polygon and Polyline
        poly.setStroke(Color.RED);
        poly.setStrokeWidth(3);
        
        Group root = new Group(poly);
        Scene scene = new Scene(root, 400, 400, Color.BLACK);
        primaryStage.setTitle("Regular polygon");
        primaryStage.setScene(scene);
        primaryStage.show();
    }

    public static void main(String[] args)
    {
        Scanner scan = new Scanner(System.in);
        System.out.print("Enter number of sides: ");
        n = scan.nextInt();
        points = new double[2*n]; 
//      points = new double[2*n+2]; // for closed polyline 
        double t, x0 = 200, y0 = 200, r = 100;
        for (int i = 0; i < points.length-1; i=i+2) 
        {
            t = r * Math.cos(i*2*Math.PI/(2*n));
            points[i] = x0 + t;
            t = r * Math.sin(i*2*Math.PI/(2*n));
            points[i+1] = y0 + t;
        }   
        launch(args);
    }
}
